<?php	
	/* for translating */
	load_theme_textdomain( 'pego_tr', get_template_directory() . '/languages' );

	$pego_prefix="pego_";
	$themedir = get_template_directory_uri();
	
	function my_javascripts() {
		wp_enqueue_script('superfish', get_template_directory_uri() . '/js/superfish.js','','',true);
		wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js','','',true);
		wp_enqueue_script('jquery-nav', get_template_directory_uri() . '/js/jquery.nav.js','','',true);		
		wp_enqueue_script('modernizr', get_template_directory_uri() . '/js/modernizr.js','','',true);
		wp_enqueue_script('jquery-flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js','','',true);
		wp_enqueue_script('jquery-mousewheel', get_template_directory_uri() . '/js/jquery.mousewheel.js','','',true);
		wp_enqueue_script('jquery-isotope-min', get_template_directory_uri() . '/js/jquery.isotope.min.js','','',true);
		wp_enqueue_script('jquery-fancybox', get_template_directory_uri() . '/js/jquery.fancybox-1.3.4.pack.js','','',true);
		wp_enqueue_script('toScroll', get_template_directory_uri() . '/js/toScroll.js','','',true);
		wp_enqueue_script('jquery-mobilemenu', get_template_directory_uri() . '/js/jquery.mobilemenu.js','','',true);
		wp_enqueue_script('spin', get_template_directory_uri() . '/js/spin.js','','',true);			
		wp_enqueue_script('scripts', get_template_directory_uri() . '/js/script.js','','',true);			
	}
	add_action('wp_enqueue_scripts', 'my_javascripts');
	
	//add css files
	function theme_styles()  
	{ 
	  wp_enqueue_style( 'reset-style', get_template_directory_uri() . '/css/reset.css', array(), '1.0', 'all' );
	  wp_enqueue_style( 'flexslider-style', get_template_directory_uri() . '/css/flexslider.css', array(), '1.0', 'all' );
	  wp_enqueue_style( 'fancybox-style', get_template_directory_uri() . '/css/jquery.fancybox-1.3.4.css', array(), '1.0', 'all' );	  
	}
	add_action('wp_enqueue_scripts', 'theme_styles');
	
	
	add_theme_support( 'automatic-feed-links' );

	if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );
	
	if ( function_exists( 'add_image_size' ) ) { 
		add_image_size('PortfImg', 200, 125, true);
		add_image_size('BlogImg', 278, 9999);
	}

	//add shorcodes to widgets
	add_filter('widget_text', 'do_shortcode');
	
	/*custom admin logo start*/
	function my_custom_login_logo() {
		$read_logo='';
		$pego_prefix = "pego_";
	   $read_logo = get_option($pego_prefix.'logo');

		if($read_logo != '') {
						echo '<style type="text/css">
				h1 a {background-size:auto !important; background-image:url('.$read_logo.') !important; }
			</style>';	
		}	
		else {
					echo '<style type="text/css">
			h1 a { background-size:auto !important; background-image:url('.get_bloginfo('template_directory').'/images/logo.png) !important;  }
		</style>';
		}
    }
    add_action('login_head', 'my_custom_login_logo');
	/*custom admin logo end*/
	
	/* start footer widgets */
	function new_widgets_init() {		
		register_sidebar(array(
			'name' => 'Footer First Column Sidebar',
			'id' => 'first-footer-column-sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h1 class="widget-title">',
			'after_title' => '</h1><div class="foot-separator"></div>',
		));
		register_sidebar(array(
			'name' => 'Footer Second Column Sidebar',
			'id' => 'second-footer-column-sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h1 class="widget-title">',
			'after_title' => '</h1><div class="foot-separator"></div>',
		));
		register_sidebar(array(
			'name' => 'Footer  Third Column Sidebar',
			'id' => 'third-footer-column-sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h1 class="widget-title">',
			'after_title' => '</h1><div class="foot-separator"></div>',
		));	
		register_sidebar(array(
			'name' => 'Footer  Fourth Column Sidebar',
			'id' => 'fourth-footer-column-sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h1 class="widget-title">',
			'after_title' => '</h1><div class="foot-separator"></div>',
		));
	}
	add_action( 'init', 'new_widgets_init' );
	/* end footer widgets */
	
	
	//Sidebar for single blog
    if (function_exists('register_sidebar')) {
    	register_sidebar(array(
    		'name' => 'Blog Sidebar Widgets',
    		'id'   => 'sidebar-1-widgets',
    		'description'   => 'These are widgets for the sidebar.',
    		'before_widget' => '<div id="%1$s" class="widget %2$s" style="margin-bottom:30px;">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h4 class="heading sidebar-title" style="margin-bottom: 5px;">',
    		'after_title'   => '</h4><div class="line-separator" style="margin-bottom: 15px;"></div>'
    	));
    }
	/* function for getting portf id*/
	function get_portf_ID($portf_id) {
		global $wpdb;
		$id=444;
		$id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '$portf_id' AND post_type='portfolio'");
		return $id;
	}
	
	/* specify content width */
	if ( ! isset( $content_width ) ) $content_width = 960;
	
	
	function getPostViews($postID){
		$count_key = 'post_views_count';
		$count = get_post_meta($postID, $count_key, true);
		if($count==''){
			delete_post_meta($postID, $count_key);
			add_post_meta($postID, $count_key, '0');
			return "0 View";
		}
		return $count;
	}
	function setPostViews($postID) {
		$count_key = 'post_views_count';
		$count = get_post_meta($postID, $count_key, true);
		if($count==''){
			$count = 0;
			delete_post_meta($postID, $count_key);
			add_post_meta($postID, $count_key, '0');
		}else{
			$count++;
			update_post_meta($postID, $count_key, $count);
		}
	}

	/* code for menus */
	if (function_exists('register_nav_menus')) {
		register_nav_menus (
			array (
				'main_nav' => 'Main Navigation Menu'
			)
		);
	}

	function addMenu ($post_name) {

		$page_argss = array('parent' => 0,'sort_order' => 'ASC', 'sort_column' => 'menu_order');
		$pagess = get_pages($page_argss); 
		$numberOfPages=0;
		$numberOfPagesInMenu=0;

		foreach ($pagess as $single_pagee) {
			$pageIdd=$single_pagee->ID;
			$show_page_in_menuu =  get_post_meta($pageIdd , 'show_page_in_menu' , true);
			if($show_page_in_menuu != 'No') {
					$numberOfPages++;
			}
		}

		$page_args = array('parent' => 0,'sort_order' => 'ASC', 'sort_column' => 'menu_order');
		$pages = get_pages($page_args); 
		$url_tab = "#"; 
		if (!is_front_page()){
		 $url_tab = get_option("siteurl")."#";
	   }
		foreach ($pages as $single_page) {
				
				$pageId=$single_page->ID;
				$children = get_pages('child_of='.$pageId.'&sort_column=menu_order&parent='.$pageId);
				
				$external_link =  get_post_meta($pageId , 'external_link' , true);
				$page_template =  get_post_meta($pageId , 'page_template' , true);
				$show_page_in_menu =  get_post_meta($pageId , 'show_page_in_menu' , true);
				$built_page =  get_post_meta($pageId , 'built_page' , true);
				$nonclickable = '';
				if ($built_page != 'Yes') {
					$nonclickable = ' onclick="return false;" ';
				}
				$trenutni='';
				global $blogReturn;
				if($page_template=='Blog') {$blogReturn= get_option("siteurl")."#!/".$single_page->post_name;}
				
				$active='';
				if ($post_name == $single_page->post_name) {
					$active =' class="current"';
				}
				
				
			   if($show_page_in_menu != 'No')
			   {
				$numberOfPagesInMenu++;
				$lastClass='';
				

				//if (($numberOfPagesInMenu == 1)&&(!is_single())) {$active = 'class="current" ';}
				if((($page_template=='Blog')&&(is_single()))||(($page_template=='Blog')&&(is_archive()))||(($page_template=='Blog')&&(is_search()))){ $active = 'class="currentBlog"'; }	 
				
				if($numberOfPagesInMenu == $numberOfPages) {
					$lastClass=' class="last" ';
					
				}		
					if(count($children) == 0){  
						if ($external_link == '') {
								echo '<li '.$active.'><a '.$nonclickable.' '.$lastClass.' href="'.$url_tab.''.$single_page->post_name .'">' . $single_page->post_title . '</a></li>';
						 
						}
						else
						{
							echo '<li '.$active.'><a '.$nonclickable.'  '.$lastClass.' href="'.$external_link.'">' . $single_page->post_title . '</a></li>';
						}
					}
					if(count($children) != 0){  
						if ($external_link == '') {
							
								echo '<li '.$active.'><a '.$nonclickable.' '.$lastClass.' href="'.$url_tab.''.$single_page->post_name .'">' . $single_page->post_title . '</a>';
							
								
						}
						else 
						{
							echo '<li '.$active.'><a '.$nonclickable.' '.$lastClass.' href="'.$external_link.'">' . $single_page->post_title . '</a>';
						}
						echo '<ul>';
						foreach($children as $child)
						{
							$subPageId=$child->ID;
							$grandChildren = get_pages('child_of='.$subPageId.'&sort_column=menu_order&parent='.$subPageId);
							$show_page_in_menuSub =  get_post_meta($subPageId , 'show_page_in_menu' , true);
							$subPage_external_link =  get_post_meta($subPageId , 'external_link' , true);
							
							$built_pageSub =  get_post_meta($subPageId , 'built_page' , true);
							$nonclickableSub = '';
							if ($built_pageSub != 'Yes') {
								$nonclickableSub = ' onclick="return false;" ';
							}
							
							if ($show_page_in_menuSub != 'No') { 
								if(count($grandChildren) == 0){  
									if ($subPage_external_link == '') {
										echo  '<li><a '.$nonclickableSub.' href="'.$url_tab.''.$child->post_name.'">'.$child->post_title.'</a></li>';
									}
									else
									{
										echo  '<li><a '.$nonclickableSub.' href="'.$subPage_external_link.'">'.$child->post_title.'</a></li>';
									}
								}
								if(count($grandChildren) != 0){  
									if ($subPage_external_link == '') {
										echo  '<li><a '.$nonclickableSub.' href="'.$url_tab.''.$child->post_name.'">'.$child->post_title.'</a>';
									}
									else
									{
										echo  '<li><a '.$nonclickableSub.' href="'.$subPage_external_link.'">'.$child->post_title.'</a>';
									}
									
									
									echo '<ul>';
									foreach($grandChildren as $grandChild)
									{
										$grandPageId=$grandChild->ID;
										$subPage_external_link_grand =  get_post_meta($grandPageId , 'external_link' , true);
										$built_pageSubSub =  get_post_meta($grandPageId , 'built_page' , true);
										$show_page_in_menuSubSub =  get_post_meta($grandPageId , 'show_page_in_menu' , true);
										$nonclickableSubSub = '';
										if ($built_pageSubSub != 'Yes') {
											$nonclickableSubSub = ' onclick="return false;" ';
										}
										if ($show_page_in_menuSubSub != 'No') { 
											if ($subPage_external_link_grand == '') {
												echo  '<li><a '.$nonclickableSubSub.' href="'.$url_tab.''.$grandChild->post_name.'">'.$grandChild->post_title.'</a></li>';
											}
											else
											{
												echo  '<li><a '.$nonclickableSubSub.' href="'.$subPage_external_link_grand.'">'.$grandChild->post_title.'</a></li>';
											}
										}
									}
									echo '</ul>';
									echo '</li>';
								}
							}
			
					}
						echo '</ul>';
						echo '</li>';
					
					}
				}
		 
	}
	
	}



function no_wpautop($content) 
{ 
        $content = do_shortcode( shortcode_unautop($content) ); 
        $content = preg_replace( '#^<\/p>|^<br \/>|<p>$#', '', $content );
        return $content;
}

function page_have_children($id){
	$children = get_pages('child_of='.$id);
	if(count($children) == 0){
		return false;
	}
	else{
		return true;
	}
}



/* start for comments */
if ( ! function_exists( 'fuzzy_comment' ) ) :
function fuzzy_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php 'Pingback:' ?> <?php comment_author_link(); ?><?php edit_comment_link( 'Edit', '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<footer class="comment-meta">
				<div class="comment-author vcard">
					<?php
						$avatar_size = 39;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 39;

						echo get_avatar( $comment, $avatar_size );

						/* translators: 1: comment author, 2: date and time */
						printf(  '%1$s <span class="date-and-time">%2$s</span>',
							sprintf( '<span class="fn">%s</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s"><time pubdate datetime="%2$s">%3$s</time></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								/* translators: 1: date, 2: time */
								sprintf( '%1$s at %2$s', get_comment_date(), get_comment_time() )
							)
						);
					?>

					<?php edit_comment_link( __( 'Edit', 'pego_tr' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-author .vcard -->

				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'pego_tr' ); ?></em>
					<br />
				<?php endif; ?>

			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'pego_tr' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
endif; // ends check for fuzzy_comment()
	
/* end for comments */




	include("functions/widget-posts.php");
	include("functions/widget-twitter.php");
	include("functions/widget-Flickr.php");
	include("functions/custom-page.php");
	include("functions/custom-portfolio.php");
	include("functions/custom-post.php");
	include("functions/custom-slider.php");
	include("functions/shortcodes.php");

	
	
	define('PEGO_FILEPATH', get_template_directory());
	define('PEGO_DIRECTORY', get_template_directory_uri());

	require_once (PEGO_FILEPATH . '/admin/admin-functions.php');
	require_once (PEGO_FILEPATH . '/admin/admin-interface.php');
	require_once (PEGO_FILEPATH . '/functions/theme-options.php');
	require_once (PEGO_FILEPATH . '/tinymce/tinymce.loader.php');
	

	


?>