<?php

// Buttons shortcode config
$pego_shortcodes['button'] = array(
	'params' => array(
		'color' => array(
			'type' => 'select',
			'label' => __('Button color', 'pego_tr'),
			'desc' => __('Select the button color.', 'pego_tr'),
			'options' => array(
				'mainCol' => 'Main Color',
				'black' => 'Black'
			)
		),
	 'codecol' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Code Color', 'pego_tr'),
			'desc' => __('Insert the code for the button color. If inserted the selection above(Button color) will be overwritten.', 'pego_tr'),
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'pego_tr'),
			'desc' => __('Add the button\'s url', 'pego_tr')
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Button\'s Size', 'pego_tr'),
			'desc' => __('Select the button\'s size', 'pego_tr'),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large'
			)
		),
		'content' => array(
			'std' => 'Button Text',
			'type' => 'text',
			'label' => __('Button\'s Text', 'pego_tr'),
			'desc' => __('Add the button\'s text', 'pego_tr'),
		)
	),
	'shortcode' => '[button url="{{url}}"  type="{{type}}" color="{{color}}" codecol="{{codecol}}"] {{content}} [/button]',
	
	
	'popup_title' => __('Insert Button Shortcode', 'pego_tr')
);

//video
$pego_shortcodes['video'] = array(
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Video Type', 'pego_tr'),
			'desc' => __('Select the video type.', 'pego_tr'),
			'options' => array(
				'youtube' => 'Youtube',
				'vimeo' => 'Vimeo'
			)
		),
		'id' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Video ID', 'pego_tr'),
			'desc' => __('Inupt the Id of the video.', 'pego_tr')
		)
	),
	'shortcode' => '[{{type}} id="{{id}}"]',
	'popup_title' => __('Insert Video Shortcode', 'pego_tr'),
	'no_preview' => true
);


// columns
$pego_shortcodes['columns'] = array(
	'params' => array(),
	'shortcode' => ' {{child_shortcode}} ', 
	'popup_title' => __('Insert Columns Shortcode', 'pego_tr'),
	'no_preview' => true,
	
	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'column' => array(
				'type' => 'select',
				'label' => __('Type of the Column', 'pego_tr'),
				'desc' => __('Select the type, which present the width of the column.', 'pego_tr'),
				'options' => array(
					'one_third' => 'One Third',
					'one_third_last' => 'One Third Last',
					'two_third' => 'Two Thirds',
					'two_third_last' => 'Two Thirds Last',
					'one_half' => 'One Half',
					'one_half_last' => 'One Half Last',
					'one_fourth' => 'One Fourth',
					'one_fourth_last' => 'One Fourth Last',
					'three_fourth' => 'Three Fourth',
					'three_fourth_last' => 'Three Fourth Last',
					'one_fifth' => 'One Fifth',
					'one_fifth_last' => 'One Fifth Last',
					'two_fifth' => 'Two Fifth',
					'two_fifth_last' => 'Two Fifth Last',
					'three_fifth' => 'Three Fifth',
					'three_fifth_last' => 'Three Fifth Last',
					'four_fifth' => 'Four Fifth',
					'four_fifth_last' => 'Four Fifth Last'
				)
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Column Content', 'pego_tr'),
				'desc' => __('Insert column content.', 'pego_tr'),
			)
		),
		'shortcode' => '[{{column}}] {{content}} [/{{column}}] ',
		'clone_button' => __('Add Column', 'pego_tr')
	)
);


// Lists
$pego_shortcodes['list'] = array(
    'params' => array(
		'list_icon' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('List Icon URL', 'pego_tr'),
                'desc' => __('Insert the list icon url.', 'pego_tr')
            )
	),
    'no_preview' => true,
    'shortcode' => '[list icon="{{list_icon}}"] {{child_shortcode}}  [/list]',
    'popup_title' => __('Insert List Shortcode', 'pego_tr'),
    
    'child_shortcode' => array(
        'params' => array(
            'content' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('List Item Content', 'pego_tr'),
                'desc' => __('Insert the list item content.', 'pego_tr')
            )
        ),
        'shortcode' => '[list_li] {{content}} [/list_li]',
        'clone_button' => __('Add List Item', 'pego_tr')
    )
);

//heading
$pego_shortcodes['heading'] = array(
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Heading Type', 'pego_tr'),
			'desc' => __('Select the heading type.', 'pego_tr'),
			'options' => array(
				'h1' => 'H1',
				'h2' => 'H2',
				'h3' => 'H3',
				'h4' => 'H4',
				'h5' => 'H5'
			)
		),
		'content' => array(
			'std' => 'Heading',
			'type' => 'text',
			'label' => __('Heading content', 'pego_tr'),
			'desc' => __('Input heading content.', 'pego_tr')
		)
	),
	'shortcode' => '[{{type}}]{{content}}[/{{type}}]',
	'popup_title' => __('Insert Heading Shortcode', 'pego_tr')
);



// team
$pego_shortcodes['team'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[team] {{child_shortcode}}  [/team]',
    'popup_title' => __('Insert Team Shortcode', 'pego_tr'),
    
    'child_shortcode' => array(
        'params' => array(
            'img' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member image', 'pego_tr'),
                'desc' => __('Insert the team member image.', 'pego_tr')
            ),
			'name' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member name', 'pego_tr'),
                'desc' => __('Insert the team member name.', 'pego_tr')
            ),
			'position' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member position', 'pego_tr'),
                'desc' => __('Insert the team member position.', 'pego_tr')
            ),
			'content' => array(
                'std' => '',
                'type' => 'textarea',
                'label' => __('Team member description', 'pego_tr'),
                'desc' => __('Insert the team member description', 'pego_tr')
            ),
			'socialname1' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social name #1', 'pego_tr'),
                'desc' => __('Insert the team member social name #1', 'pego_tr')
            ),
			'socialurl1' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social url #1', 'pego_tr'),
                'desc' => __('Insert the team member social url #1', 'pego_tr')
            ),
			'socialname2' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social name #2', 'pego_tr'),
                'desc' => __('Insert the team member social name #2', 'pego_tr')
            ),
			'socialurl2' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social url #2', 'pego_tr'),
                'desc' => __('Insert the team member social url #2', 'pego_tr')
            ),
			'socialname3' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social name #3', 'pego_tr'),
                'desc' => __('Insert the team member social name #3', 'pego_tr')
            ),
			'socialurl3' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Team member social url #3', 'pego_tr'),
                'desc' => __('Insert the team member social url #3', 'pego_tr')
            )
        ),
        'shortcode' => '[team_member  name="{{name}}"  img="{{img}}" position="{{position}}" socialurl1="{{socialurl1}}" socialname1="{{socialname1}}" socialurl2="{{socialurl2}}" socialname2="{{socialname2}}" socialurl3="{{socialurl3}}" socialname3="{{socialname3}}"] {{content}} [/team_member]',
        'clone_button' => __('Add Team Member', 'pego_tr')
    )
);

//img
$pego_shortcodes['img'] = array(
	'params' => array(
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Image Url', 'pego_tr'),
			'desc' => __('Inupt the image url.', 'pego_tr')
		)
	),
	'shortcode' => '[img url="{{url}}"]',
	'popup_title' => __('Insert Image Shortcode', 'pego_tr'),
	'no_preview' => true
);

//latest portfolio items
$pego_shortcodes['latestportfolio'] = array(
	'params' => array(
		'number' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of latest portfolio items', 'pego_tr'),
			'desc' => __('Inupt the number of altest portfolios you want to display.', 'pego_tr')
		)
	),
	'shortcode' => '[latestportfolio number="{{number}}"]',
	'popup_title' => __('Insert Latest Portfolio Item Shortcode', 'pego_tr'),
	'no_preview' => true
);

//columsn with icon
$pego_shortcodes['columnwithicon'] = array(
	'params' => array(
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Insert columns title', 'pego_tr'),
			'desc' => __('Inupt the title for the columns.', 'pego_tr')
		),
		'icon' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Columns icon', 'pego_tr'),
			'desc' => __('Insert icon url for the column.', 'pego_tr')
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Read more url', 'pego_tr'),
			'desc' => __('Insert url for read more.', 'pego_tr')
		),
		'readmore' => array(
			'std' => 'Read More &rarr;',
			'type' => 'text',
			'label' => __('Read more text', 'pego_tr'),
			'desc' => __('Insert read more text.', 'pego_tr')
		),
		'content' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Columns content', 'pego_tr'),
			'desc' => __('Input columns content.', 'pego_tr')
		),
	),
	'shortcode' => '[columnwithicon title="{{title}}" icon="{{icon}}" url="{{url}}" readmore="{{readmore}}"]{{content}} [/columnwithicon]',
	'popup_title' => __('Insert columns with icon', 'pego_tr'),
	'no_preview' => true
);



// toggle
$pego_shortcodes['toggle'] = array(
    'no_preview' => true,
    'shortcode' => '[toggles] {{child_shortcode}}  [/toggles]',
    'popup_title' => __('Insert Toggle Shortcode', 'pego_tr'),
    
    'child_shortcode' => array(
        'params' => array(
			'title' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Toggle Item Title', 'pego_tr'),
                'desc' => __('Insert the toggle item title.', 'pego_tr')
            ),
            'content' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Toggle Item Content', 'pego_tr'),
                'desc' => __('Insert the toggle item content.', 'pego_tr')
            ),
		'status' => array(
			'type' => 'select',
			'label' => __('Toggle status', 'pego_tr'),
			'desc' => __('Select the toggle status.', 'pego_tr'),
			'options' => array(
				'closed' => 'Closed',
				'opened' => 'Opened'
			)
		),
        ),
        'shortcode' => '[toggle title="{{title}}" status="{{status}}"] {{content}} [/toggle]',
        'clone_button' => __('Add Toggle Item', 'pego_tr')
    )
);


//heading
$pego_shortcodes['quote'] = array(
	'params' => array(
		'content' => array(
			'std' => 'Quote content',
			'type' => 'text',
			'label' => __('Quote content', 'pego_tr'),
			'desc' => __('Input quote content.', 'pego_tr')
		)
	),
	'shortcode' => '[quote]{{content}}[/quote]',
	'popup_title' => __('Insert Quote Shortcode', 'pego_tr')
);

// Lists
$pego_shortcodes['socials'] = array(
    'no_preview' => true,
    'shortcode' => '[socials] {{child_shortcode}}  [/socials]',
    'popup_title' => __('Insert Socials Shortcode', 'pego_tr'),
    
    'child_shortcode' => array(
        'params' => array(
			'type' => array(
			'type' => 'select',
			'label' => __('Social icon type', 'pego_tr'),
			'desc' => __('Select the social icon type.', 'pego_tr'),
			'options' => array(
					'facebook' => 'Facebook',
					'twitter' => 'Twitter',
					'youtube' => 'Youtube',
					'bebo' => 'Bebo',
					'behance' => 'Behance',
					'blogger' => 'Blogger',
					'delicious' => 'Delicious',
					'designfloat' => 'Designfloat',
					'deviantart' => 'Deviantart',
					'digg' => 'Digg',
					'dribble' => 'Dribble',
					'email' => 'Email',
					'evernote' => 'Evernote',
					'flickr' => 'Flickr',
					'forrst' => 'Forrst',
					'googleplus' => 'Googleplus',
					'grooveshark' => 'Grooveshark',
					'instagram' => 'Instagram',
					'lastfm' => 'Lastfm',
					'linkedin' => 'Linkedin',
					'myspace' => 'Myspace',
					'netvibes' => 'Netvibes',
					'orkut' => 'Orkut',
					'path' => 'Path',
					'picassa' => 'Picassa',
					'pinterest' => 'Pinterest',
					'posterous' => 'Posterous',
					'reddit' => 'Reddit',
					'rss' => 'Rss',
					'soundcloud' => 'Soundcloud',
					'stumble' => 'Stumble',
					'tumblr' => 'Tumblr',
					'vimeo' => 'Vimeo',
					'wordpress' => 'Wordpress',
					'yahoo' => 'Yahoo'
				)
			),
            'url' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Social icon URL', 'pego_tr'),
                'desc' => __('Insert the social icon URL.', 'pego_tr')
            )
        ),
        'shortcode' => '[social_icon type="{{type}}" url="{{url}}"]',
        'clone_button' => __('Add Social Icon', 'pego_tr')
    )
);


//title with icon
$pego_shortcodes['title_with_icon'] = array(
	'params' => array(
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Insert title', 'pego_tr'),
			'desc' => __('Inupt the title.', 'pego_tr')
		),
		'icon' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title icon', 'pego_tr'),
			'desc' => __('Insert icon url.', 'pego_tr')
		)
	),
	'shortcode' => '[title_with_icon title="{{title}}" icon="{{icon}}"]',
	'popup_title' => __('Insert title with icon', 'pego_tr'),
	'no_preview' => true
);


//extra slogan
$pego_shortcodes['extra_slogan'] = array(
	'params' => array(
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Extra slogan content', 'pego_tr'),
			'desc' => __('Input extra slogan content.', 'pego_tr')
		)
	),
	'shortcode' => '[extra_slogan]{{content}}[/extra_slogan]',
	'popup_title' => __('Insert extra slogan', 'pego_tr'),
	'no_preview' => true
);


	$argsPortf = array('post_type'=> 'portfolio', 'posts_per_page' => -1, 'order'=> 'DESC', 'orderby' => 'post_date'  );
	$postsPortf = get_posts($argsPortf);
	$idd=0;
	$polje=array();
	foreach($postsPortf as $postPortf)
	{ 
		setup_postdata($postPortf);
		$portf_slug= $postPortf->post_name;
		$portf_title=get_the_title($postPortf->ID);
		$polje[$portf_slug ] = $portf_title;						

	}

// Portf Items
$pego_shortcodes['portf_items'] = array(
    'no_preview' => true,
    'shortcode' => '[portf_items] {{child_shortcode}}  [/portf_items]',
    'popup_title' => __('Portfolio Items Shortcode', 'pego_tr'),
    
    'child_shortcode' => array(
        'params' => array(
        	'name' => array(
			'type' => 'select',
			'label' => __('Portfolio item', 'pego_tr'),
			'desc' => __('Select the portfolio item.', 'pego_tr'),
			'options' => $polje
			)
        ),
        'shortcode' => '[portf_item name="{{name}}"]',
        'clone_button' => __('Add Portfolio Item', 'pego_tr')
    )
);

?>