<?php

add_action('init','pego_options');

if (!function_exists('pego_options')) {
function pego_options(){
	
// VARIABLES

$theme_data = wp_get_theme();
$themename = $theme_data->Name;
$themeversion = $theme_data->Version;

//$theme_data = get_theme_data(STYLESHEETPATH . '/style.css');
//$themename = $theme_data['Name'];
//$themeversion = $theme_data['Version'];


$shortname = "pego_";

// Populate option in array for use in theme
global $pego_options;
$pego_options = get_option('pego_options');

$GLOBALS['template_path'] = PEGO_DIRECTORY;

//Access the WordPress Categories via an Array
$pego_categories = array();  
$pego_categories_obj = get_categories('hide_empty=0');
foreach ($pego_categories_obj as $pego_cat) {
    $pego_categories[$pego_cat->cat_ID] = $pego_cat->cat_name;}
$categories_tmp = array_unshift($pego_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$pego_pages = array();
$pego_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($pego_pages_obj as $pego_page) {
    $pego_pages[$pego_page->ID] = $pego_page->post_name; }
$pego_pages_tmp = array_unshift($pego_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Stylesheets Reader
$alt_stylesheet_path = PEGO_FILEPATH . '/css/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = '';
if(isset($uploads_arr['path'])) $all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('pego_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");

// Set the Options Array
$options = array();


$options[] = array( "name" => __('General Settings','framework'),
                    "type" => "heading");
                    
                  
$options[] = array( "name" => __('Logo','framework'),
					"desc" => __('Upload a logo for your theme.','framework'),
					"id" => $shortname."logo",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => __('Favicon','framework'),
					"desc" => __('Upload a favicon for your theme.','framework'),
					"id" => $shortname."favicon",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => __('Main template color','framework'),
					"desc" => __('Choose the main template color.','framework'),
					"id" => $shortname."main_template_color",
					"std" => "",
					"type" => "color");			
					
$options[] = array( "name" => __('Make theme responsive?','framework'),
					"desc" => __('Check this to make theme responsive.','framework'),
					"id" => $shortname."responsive_theme",
					"std" => "true",
					"type" => "checkbox");
					
$options[] = array( "name" => __('Header height','framework'),
					"desc" => __('Insert height for the header[px]','framework'),
					"id" => $shortname."headerHeight",
					"std" => "100",
					"type" => "text");					
					
			
$options[] = array( "name" => __('Home Settings','framework'),
                    "type" => "heading");	
					
$options[] = array( "name" => __('Show slider on homepage?','framework'),
					"desc" => __('Check this to display slider on the homepage.','framework'),
					"id" => $shortname."slider_homepage",
					"std" => "true",
					"type" => "checkbox");
					
$options[] = array( "name" => __('Slogan main text','framework'),
					"desc" => __('Insert main text for slogan','framework'),
					"id" => $shortname."sloganMainText",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Slogan secondary text','framework'),
					"desc" => __('Insert secondary text for slogan','framework'),
					"id" => $shortname."sloganText",
					"std" => "",
					"type" => "textarea");	
					
$options[] = array( "name" => __('Background Settings','framework'),
                    "type" => "heading");	
				
$options[] = array( "name" => __('Background Color', 'framework'),
                    "desc" => __('Select the background color.', 'framework'),
                    "id" => $shortname."_bg_color",
                    "std" => "",
                    "type" => "color");     
					
$options[] = array( "name" => __('Background Image','framework'),
					"desc" => __('Upload an image for the background.','framework'),
					"id" => $shortname."_bg_image",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => __('Background Options/Positions','framework'),
					"desc" => __('Insert background options/positions','framework'),
					"id" => $shortname."_bg_tags",
					"std" => "",
					"type" => "text");
			
$options[] = array( "name" => __('Header Background Color', 'framework'),
                    "desc" => __('Select the background color for the header.', 'framework'),
                    "id" => $shortname."left_side_bg_color",
                    "std" => "",
                    "type" => "color");     
					
$options[] = array( "name" => __('Header Area Background Image','framework'),
					"desc" => __('Upload an image for the header background.','framework'),
					"id" => $shortname."left_side_bg_image",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => __('Header Area Background Options/Positions','framework'),
					"desc" => __('Insert header background options/positions','framework'),
					"id" => $shortname."left_side_bg_tags",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => __('Content Area Background Color', 'framework'),
                    "desc" => __('Select the background color for the content area.', 'framework'),
                    "id" => $shortname."content_area_bg_color",
                    "std" => "",
                    "type" => "color");     
					
$options[] = array( "name" => __('Content Area Background Image','framework'),
					"desc" => __('Upload an image for the content area background.','framework'),
					"id" => $shortname."content_area_bg_image",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => __('Content Area Background Options/Positions','framework'),
					"desc" => __('Insert background options/positions','framework'),
					"id" => $shortname."content_area_bg_tags",
					"std" => "",
					"type" => "text");
					
					
$options[] = array( "name" => __('Menu Hover Background Color', 'framework'),
                    "desc" => __('Select the background color for the hover menu item.', 'framework'),
                    "id" => $shortname."menu_bg_1",
                    "std" => "",
                    "type" => "color");  
					
$options[] = array( "name" => __('Menu Active Background Color', 'framework'),
                    "desc" => __('Select the background color for the active menu item.', 'framework'),
                    "id" => $shortname."menu_bg_1A",
                    "std" => "",
                    "type" => "color");  					

$options[] = array( "name" => __('Submenu Background Color/Background for menu on small devices', 'framework'),
                    "desc" => __('Select the background color for the submenu items.', 'framework'),
                    "id" => $shortname."menu_bg_2",
                    "std" => "",
                    "type" => "color"); 

		
$options[] = array( "name" => __('Font Settings','framework'),
                    "type" => "heading");	
					
					
$options[] = array( "name" => __('Text font family','framework'),
					"desc" => __('Insert font family for text','framework'),
					"id" => $shortname."fontFamText",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Text font url','framework'),
					"desc" => __('Insert font url for text','framework'),
					"id" => $shortname."fontUrlText",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Text font size','framework'),
					"desc" => __('Insert font size for text','framework'),
					"id" => $shortname."fontSizeText",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('Text font color','framework'),
					"desc" => __('Insert font color for text','framework'),
					"id" => $shortname."fontColText",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Text font shadow','framework'),
					"desc" => __('Insert font shadow for text','framework'),
					"id" => $shortname."fontShadowText",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H1 font family','framework'),
					"desc" => __('Insert font family for H1','framework'),
					"id" => $shortname."fontFamH1",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H1 font url','framework'),
					"desc" => __('Insert font url for H1','framework'),
					"id" => $shortname."fontUrlH1",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H1 font size','framework'),
					"desc" => __('Insert font size for H1','framework'),
					"id" => $shortname."fontSizeH1",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('H1 font color','framework'),
					"desc" => __('Insert font color for H1','framework'),
					"id" => $shortname."fontColH1",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('H1 font shadow','framework'),
					"desc" => __('Insert font shadow for H1','framework'),
					"id" => $shortname."fontShadowH1",
					"std" => "",
					"type" => "text");	
			
$options[] = array( "name" => __('H2 font family','framework'),
					"desc" => __('Insert font family for H2','framework'),
					"id" => $shortname."fontFamH2",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H2 font url','framework'),
					"desc" => __('Insert font url for H2','framework'),
					"id" => $shortname."fontUrlH2",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H2 font size','framework'),
					"desc" => __('Insert font size for H2','framework'),
					"id" => $shortname."fontSizeH2",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('H2 font color','framework'),
					"desc" => __('Insert font color for H2','framework'),
					"id" => $shortname."fontColH2",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('H2 font shadow','framework'),
					"desc" => __('Insert font shadow for H2','framework'),
					"id" => $shortname."fontShadowH2",
					"std" => "",
					"type" => "text");		
				
$options[] = array( "name" => __('H3 font family','framework'),
					"desc" => __('Insert font family for H3','framework'),
					"id" => $shortname."fontFamH3",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H3 font url','framework'),
					"desc" => __('Insert font url for H3','framework'),
					"id" => $shortname."fontUrlH3",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H3 font size','framework'),
					"desc" => __('Insert font size for H3','framework'),
					"id" => $shortname."fontSizeH3",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('H3 font color','framework'),
					"desc" => __('Insert font color for H3','framework'),
					"id" => $shortname."fontColH3",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('H3 font shadow','framework'),
					"desc" => __('Insert font shadow for H3','framework'),
					"id" => $shortname."fontShadowH3",
					"std" => "",
					"type" => "text");					
		
$options[] = array( "name" => __('H4 font family','framework'),
					"desc" => __('Insert font family for H4','framework'),
					"id" => $shortname."fontFamH4",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H4 font url','framework'),
					"desc" => __('Insert font url for H4','framework'),
					"id" => $shortname."fontUrlH4",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H4 font size','framework'),
					"desc" => __('Insert font size for H4','framework'),
					"id" => $shortname."fontSizeH4",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('H4 font color','framework'),
					"desc" => __('Insert font color for H4','framework'),
					"id" => $shortname."fontColH4",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('H4 font shadow','framework'),
					"desc" => __('Insert font shadow for H4','framework'),
					"id" => $shortname."fontShadowH4",
					"std" => "",
					"type" => "text");	
					
					
$options[] = array( "name" => __('H5 font family','framework'),
					"desc" => __('Insert font family for H5','framework'),
					"id" => $shortname."fontFamH5",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H5 font url','framework'),
					"desc" => __('Insert font url for H5','framework'),
					"id" => $shortname."fontUrlH5",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('H5 font size','framework'),
					"desc" => __('Insert font size for H5','framework'),
					"id" => $shortname."fontSizeH5",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('H5 font color','framework'),
					"desc" => __('Insert font color for H5','framework'),
					"id" => $shortname."fontColH5",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('H5 font shadow','framework'),
					"desc" => __('Insert font shadow for H5','framework'),
					"id" => $shortname."fontShadowH5",
					"std" => "",
					"type" => "text");			

$options[] = array( "name" => __('List font family','framework'),
					"desc" => __('Insert font family for list','framework'),
					"id" => $shortname."fontFamList",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('List font url','framework'),
					"desc" => __('Insert font url for list','framework'),
					"id" => $shortname."fontUrlList",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('List font size','framework'),
					"desc" => __('Insert font size for list','framework'),
					"id" => $shortname."fontSizeList",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('List font color','framework'),
					"desc" => __('Insert font color for list','framework'),
					"id" => $shortname."fontColList",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('List font shadow','framework'),
					"desc" => __('Insert font shadow for list','framework'),
					"id" => $shortname."fontShadowList",
					"std" => "",
					"type" => "text");			
				
$options[] = array( "name" => __('Menu font family','framework'),
					"desc" => __('Insert font family for menu','framework'),
					"id" => $shortname."fontFamMenu",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Menu font url','framework'),
					"desc" => __('Insert font url for menu','framework'),
					"id" => $shortname."fontUrlMenu",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Menu font size','framework'),
					"desc" => __('Insert font size for menu','framework'),
					"id" => $shortname."fontSizeMenu",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('Menu font color','framework'),
					"desc" => __('Insert font color for menu','framework'),
					"id" => $shortname."fontColMenu",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Menu hover/active font color','framework'),
					"desc" => __('Insert hover/active font color for menu','framework'),
					"id" => $shortname."fontColMenuHover",
					"std" => "",
					"type" => "color");						
					
$options[] = array( "name" => __('Menu font shadow','framework'),
					"desc" => __('Insert font shadow for menu','framework'),
					"id" => $shortname."fontShadowMenu",
					"std" => "",
					"type" => "text");			

$options[] = array( "name" => __('Submenu font family','framework'),
					"desc" => __('Insert font family for submenu','framework'),
					"id" => $shortname."fontFamSubmenu",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Submenu font url','framework'),
					"desc" => __('Insert font url for submenu','framework'),
					"id" => $shortname."fontUrlSubmenu",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Submenu font size','framework'),
					"desc" => __('Insert font size for submenu','framework'),
					"id" => $shortname."fontSizeSubmenu",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('Submenu font color','framework'),
					"desc" => __('Insert font color for submenu','framework'),
					"id" => $shortname."fontColSubmenu",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Submenu font hover color','framework'),
					"desc" => __('Insert font hover color for submenu','framework'),
					"id" => $shortname."fontColSubmenuH",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Submenu font shadow','framework'),
					"desc" => __('Insert font shadow for submenu','framework'),
					"id" => $shortname."fontShadowSubmenu",
					"std" => "",
					"type" => "text");		
				
$options[] = array( "name" => __('Portfolio/Blog Settings','framework'),
                    "type" => "heading");	

			
$options[] = array( "name" => __('Single blog page title','framework'),
					"desc" => __('Input the single blog title.','framework'),
					"id" => $shortname."single_blog_page_title",
					"std" => "Single blog::see post details",
					"type" => "text");

$options[] = array( "name" => __('Read more blog button text','framework'),
					"desc" => __('Input the text for Read more button on blog template.','framework'),
					"id" => $shortname."blog_read_more",
					"std" => "Read More &rarr;",
					"type" => "text");	
					
$options[] = array( "name" => __('Text before blog filter','framework'),
					"desc" => __('Input text before the blog filter.','framework'),
					"id" => $shortname."blog_filter_text",
					"std" => "Categories:",
					"type" => "text");		
					
					
$options[] = array( "name" => __('Filter font family','framework'),
					"desc" => __('Insert font family for Portfolio filter','framework'),
					"id" => $shortname."fontFamFilter",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Filter font url','framework'),
					"desc" => __('Insert font url for Portfolio filter','framework'),
					"id" => $shortname."fontUrlFilter",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Filter font size','framework'),
					"desc" => __('Insert font size for Portfolio filter','framework'),
					"id" => $shortname."fontSizeFilter",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('Filter font color','framework'),
					"desc" => __('Insert font color for Portfolio filter','framework'),
					"id" => $shortname."fontColFilter",
					"std" => "",
					"type" => "color");	
					
					
$options[] = array( "name" => __('Filter hover/active font color','framework'),
					"desc" => __('Insert font hover/active color for Portfolio filter','framework'),
					"id" => $shortname."fontColFilterHover",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Filter hover/active background color','framework'),
					"desc" => __('Insert  hover/active background for Portfolio filter','framework'),
					"id" => $shortname."fontColFilterHoverBG",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Filter font shadow','framework'),
					"desc" => __('Insert font shadow for Portfolio filter','framework'),
					"id" => $shortname."fontShadowFilter",
					"std" => "",
					"type" => "text");		
					
					
					
$options[] = array( "name" => __('Portfolio titles font family','framework'),
					"desc" => __('Insert font family for Portfolio titles','framework'),
					"id" => $shortname."fontFamPortfTitle",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Portfolio titles font url','framework'),
					"desc" => __('Insert font url for Portfolio titles','framework'),
					"id" => $shortname."fontUrlPortfTitle",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Portfolio titles font size','framework'),
					"desc" => __('Insert font size for Portfolio titles','framework'),
					"id" => $shortname."fontSizePortfTitle",
					"std" => "",
					"type" => "text");	

$options[] = array( "name" => __('Portfolio titles font color','framework'),
					"desc" => __('Insert font color for Portfolio titles','framework'),
					"id" => $shortname."fontColPortfTitle",
					"std" => "",
					"type" => "color");	
					
					
$options[] = array( "name" => __('Portfolio titles hover/active font color','framework'),
					"desc" => __('Insert font hover/active color for Portfolio titles','framework'),
					"id" => $shortname."fontColPortfTitleHover",
					"std" => "",
					"type" => "color");	
					
$options[] = array( "name" => __('Portfolio titles font shadow','framework'),
					"desc" => __('Insert font shadow for Portfolio titles','framework'),
					"id" => $shortname."fontShadowPortfTitle",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => __('Portfolio titles background','framework'),
					"desc" => __('Insert color for Portfolio titles background','framework'),
					"id" => $shortname."fontColPortfTitleBG",
					"std" => "",
					"type" => "color");	

$options[] = array( "name" => __('Contact Page','framework'),
                    "type" => "heading");	
					
$options[] = array( "name" => __('Map Lat','framework'),
					"desc" => __('Insert the Latitude','framework'),
					"id" => $shortname."lat",
					"std" => "40.4166909",
					"type" => "text");
					
$options[] = array( "name" => __('Map Lng','framework'),
					"desc" => __('Insert Longitude','framework'),
					"id" => $shortname."lng",
					"std" => "-3.7003454",
					"type" => "text");
					
$options[] = array( "name" => __('Contact Form Email Address','framework'),
					"desc" => __('Insert email address where emails will be send','framework'),
					"id" => $shortname."contact_form_email",
					"std" => "",
					"type" => "text");		
					
$options[] = array( "name" => __('Contact Form Title','framework'),
					"desc" => __('Insert title for the contact form','framework'),
					"id" => $shortname."contact_form_title",
					"std" => "Fill out our contact form",
					"type" => "text");
					
$options[] = array( "name" => __('Contact Form Shortcode Area Title','framework'),
					"desc" => __('Insert title for the contact shortcode area','framework'),
					"id" => $shortname."contact_form_title_shortcode",
					"std" => "Where we are",
					"type" => "text");
					
$options[] = array( "name" => __('Field one prevalue','framework'),
					"desc" => __('Insert prevalue for the first field.','framework'),
					"id" => $shortname."field_one_prevalue",
					"std" => "Name:",
					"type" => "text");
					
$options[] = array( "name" => __('Field two prevalue','framework'),
					"desc" => __('Insert prevalue for the second field.','framework'),
					"id" => $shortname."field_two_prevalue",
					"std" => "Email:",
					"type" => "text");	

$options[] = array( "name" => __('Textarea prevalue','framework'),
					"desc" => __('Insert prevalue for the textarea.','framework'),
					"id" => $shortname."textarea_prevalue",
					"std" => "Message:",
					"type" => "text");

$options[] = array( "name" => __('Required field message','framework'),
					"desc" => __('Insert message for required field.','framework'),
					"id" => $shortname."required_message",
					"std" => "*This field is required.",
					"type" => "text");

$options[] = array( "name" => __('Required field indicator message','framework'),
					"desc" => __('Insert message for required field indicator.','framework'),
					"id" => $shortname."required_message_indicator",
					"std" => " indicates a required field.",
					"type" => "text");		


$options[] = array( "name" => __('Email not valid message','framework'),
					"desc" => __('Insert message for invalid email.','framework'),
					"id" => $shortname."valid_field_two",
					"std" => "*This is not a valid email address.",
					"type" => "text");		


$options[] = array( "name" => __('Message send ','framework'),
					"desc" => __('Insert text for successful message send. You can use HTML.','framework'),
					"id" => $shortname."success_send",
					"std" => "",
					"type" => "textarea");	
					
$options[] = array( "name" => __('Send button text','framework'),
					"desc" => __('Insert text for the send button.','framework'),
					"id" => $shortname."send_button",
					"std" => "send",
					"type" => "text");		
					

update_option('template_name',$options); 					  
update_option('pego_themename',$themename);   
update_option('pego_shortname',$shortname);

    }
}